<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	.heightAuto{
		width:100%;
		height:auto;
	}
	.widthAuto{
		width:auto;
		height:100%;
	}
	#imgContainer{
		height:300px;
		width: 300px;
		display: flex;
		justify-content: center;
		align-items: center;
		overflow: hidden;
		position: relative;
	}
	img{
		position: absolute;
	}
</style>
<body>
	<div id="imgContainer">	
		<img src="images.jpg" class="heightAuto" id="imageSize"> 
	</div>
<div id="result"></div>
</body>
<script type="text/javascript">
window.addEventListener('load',()=>{
	imgHeight=document.getElementById('imageSize').naturalHeight;
	imgWidth=document.getElementById('imageSize').naturalWidth;
	document.getElementById('result').innerHTML= imgHeight+ '  '+imgWidth;
	if(imgHeight<imgWidth){
		document.getElementById('imageSize').classList.remove('heightAuto');
		document.getElementById('imageSize').classList.add('widthAuto');
	}else{
		document.getElementById('imageSize').classList.remove('widthAuto');
		document.getElementById('imageSize').classList.add('heightAuto');
	}
});
</script>
</html>